
-- Confrontation
addConstructionCategory = {};
local modDirectory = g_currentModDirectory or ""
local modName = g_currentModName or "unknown"
-- Conversation
function addConstructionCategory:addOwnCategory()

    g_storeManager:addConstructionCategory("McGee", "McGee", "$dataS/menu/construction/ui_construction_icons.png", GuiUtils.getUVs("0px 160px 32px 32px",string.getVectorN("256 256", 2)),"")
		g_storeManager:addConstructionTab("McGee", "Factory",  g_i18n:getText("Tab_Factory"), "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("40px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
		g_storeManager:addConstructionTab("McGee", "Other",  g_i18n:getText("Tab_Other"), "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("40px 40px 32px 32px",string.getVectorN("256 256", 2)), "")

end
--Commitment
function loadMapData(xmlFile, missionInfo, baseDirectory)
    addConstructionCategory:addOwnCategory()
end
--Closure
StoreManager.loadMapData = Utils.appendedFunction(StoreManager.loadMapData, loadMapData)

--[[ Indexed Icons (ones i could find, which are the ones we can see as of now)
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------

+MAIN BUILDINGS ("0 0
----------------------------------
-Sheds ("40px 0
-Silos ("80px 0
-Silo Extensions ("200px 0
-Container ("120px 0
-Tools ("160px 0
-Farmhouses ("40px 120px

+MAIN PRODUCTION ("0 40px
----------------------------------
-Factories ("40px 40px
-Selling Points ("80px 40px
-Greenhouses ("120px 40px
-Orchards ("200px 40px
-Generators ("160px 40px

+ANIMALS ("0 80px
----------------------------------
-Cows ("0 80px
-Horses ("120px 80px
-Pigs ("40px 80px
-Sheep ("80px 80px
-Chickens ("160px 120px
-Bees ("160px 80px
-Others(paws) ("200px 80px

+DECORATION ("0 120px
----------------------------------
-Fences ("80px 120px
-Lights ("120px 120px
-Others ("40px 120px

+LANDSCAPING ("0 160px
----------------------------------
-Sculpting ("40px 160px
-Painting ("80px 160px
-Trees ("120px 160px
-Plants ("160px 160px
--]]

--[[ Those indexes took longer than needed to find.
Shout me out if this helps you. If you need help, 
Echelon#2382 on Discord --]]